=== modified file 'storage/myisam/mi_keycache.c'
--- storage/myisam/mi_keycache.c	2008-06-25 05:29:13 +0000
+++ storage/myisam/mi_keycache.c	2008-07-15 20:49:33 +0000
@@ -52,16 +52,13 @@
 {
   int error= 0;
   MYISAM_SHARE* share= info->s;
-  DBUG_ENTER("mi_assign_to_key_cache");
-  DBUG_PRINT("enter",("old_key_cache_handle: 0x%lx  new_key_cache_handle: 0x%lx",
-		      (long) share->key_cache, (long) key_cache));
 
   /*
     Skip operation if we didn't change key cache. This can happen if we
     call this for all open instances of the same table
   */
   if (share->key_cache == key_cache)
-    DBUG_RETURN(0);
+    return(0);
 
   /*
     First flush all blocks for the table in the old key cache.
@@ -109,7 +106,7 @@
 			  share->key_cache))
     error= my_errno;
   pthread_mutex_unlock(&share->intern_lock);
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
@@ -138,7 +135,6 @@
 			 KEY_CACHE *new_key_cache)
 {
   LIST *pos;
-  DBUG_ENTER("mi_change_key_cache");
 
   /*
     Lock list to ensure that no one can close the table while we manipulate it
@@ -159,5 +155,5 @@
   */
   multi_key_cache_change(old_key_cache, new_key_cache);
   pthread_mutex_unlock(&THR_LOCK_myisam);
-  DBUG_VOID_RETURN;
+  return;
 }

